#include <gnome.h>
#include <gst/gst.h>

gboolean on_gmencoderWindow_delete_event (	GtkWidget	*widget,
											GdkEvent	*event,
											gpointer	user_data);

gboolean
on_fileList_clist_drag_motion          (GtkWidget       *widget,
                                        GdkDragContext  *drag_context,
                                        gint             x,
                                        gint             y,
                                        guint            time,
                                        gpointer         user_data);

void
on_fileList_clist_drag_begin           (GtkWidget       *widget,
                                        GdkDragContext  *drag_context,
                                        gpointer         user_data);

void
on_fileList_clist_drag_end             (GtkWidget       *widget,
                                        GdkDragContext  *drag_context,
                                        gpointer         user_data);

void
on_fileList_clist_drag_data_get        (GtkWidget       *widget,
                                        GdkDragContext  *drag_context,
                                        GtkSelectionData *data,
                                        guint            info,
                                        guint            time,
                                        gpointer         user_data);

void
on_fileList_clist_drag_data_received   (GtkWidget       *widget,
                                        GdkDragContext  *drag_context,
                                        gint             x,
                                        gint             y,
                                        GtkSelectionData *data,
                                        guint            info,
                                        guint            time,
                                        gpointer         user_data);

void
on_fileList_clist_drag_data_delete     (GtkWidget       *widget,
                                        GdkDragContext  *drag_context,
                                        gpointer         user_data);

void
on_fileAdd_button_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_fileDel_button_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_fileAllDel_button_clicked           (GtkButton       *button,
                                        gpointer         user_data);


void
on_workStart_button_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_targetDir_filechooserbutton_selection_changed
                                        (GtkFileChooser  *filechooser,
                                        gpointer         user_data);

void
on_configure_button_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_loadConfigure_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);

void on_playSound_checkbutton_toggled(GtkToggleButton *togglebutton,
								gpointer user_data);

void
on_playsound_filechooserbutton_selection_changed
                                        (GtkFileChooser  *filechooser,
                                        gpointer         user_data);

void
on_playsound_filechooserbutton_update_preview
                                        (GtkFileChooser  *filechooser,
                                        gpointer         user_data);

void
on_about_button_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_quit_button_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_configure_window_destroy_event      (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);
void on_vbitrate_comboboxentry_changed(GtkComboBox *combobox, gpointer user_data);

void
on_frameChange_checkbutton_toggled     (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_scaleChange_checkbutton_toggled     (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_crop_checkbutton_toggled       (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void on_crop_comboboxentry_changed(GtkComboBox *combobox, gpointer user_data);
void
on_hScale_spinbutton_changed           (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_vScale_spinbutton_changed           (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_vcodec_comboboxentry_changed       (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_addBlackarea_checkbutton_toggled    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_fullScreen_checkbutton_toggled      (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_srate_checkbutton_toggled     (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_acodec_comboboxentry_changed    (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_comboboxentry6_changed              (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_volumn_comboboxentry_changed        (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_audioQuality_comboboxentry_changed
                                        (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_comboboxentry_changed               (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_vbr_comboboxentry_changed           (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_srate_comboboxentry_changed   (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_useSource_checkbutton_toggled       (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_sub_checkbutton_toggled          (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_useSourceSound_checkbutton_toggled  (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_indexRebuild_checkbutton_toggled    (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_callBasicSetting_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void
on_configSelection2_button_clicked     (GtkButton       *button,
                                        gpointer         user_data);

void on_font_button_selection_changed(	GtkFileChooser	*filechooser,
										gpointer		user_data);

void
on_configSave_button_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_s220_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_s240_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_s320_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_s480_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_s640_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_frameChange_comboboxentry_changed   (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_abitrate_comboboxentry_changed  (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_amode_comboboxentry_changed        (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_configClose_button_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_subpos_comboboxentry_changed
                                        (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_subblur_comboboxentry_changed   (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_subOutline_comboboxentry_changed
                                        (GtkComboBox     *combobox,
                                        gpointer         user_data);

void
on_subsize_comboboxentry_changed   (GtkComboBox     *combobox,
                                        gpointer         user_data);


void on_outfilePre_entry(GtkEntry *entry, gpointer user_data);

gboolean bus_callback(GstBus *bus, GstMessage *msg, gpointer data);
