#ifndef _MYPOPEN_C_
#define _MYPOPEN_C_

#include <gnome.h>

void get_video_info(char *filename, gpointer list);
void config_Init(void);
void play_mencoder(gpointer fileList);
void save_configure(FILE *fp);

pthread_t mencoder_pthread;
int thr_id;

short int file_num;

struct work_info {
	char *outDir;
	char *prefix;
	char *sound;
	gboolean play_sound;
} work_info;

struct config {
	gboolean onlyrebuild;	/* 인덱스 리빌드만 한다. */
	gboolean useSource;		/* 영상을 카피 한다. 영상 관련 작업을 하지 않는다. */
	gboolean useSSound;		/* 소리를 카피 한다. 소리 관련 작업을 하지 않는다. */
	gint vbitrate;			/* 화질 설정 -lavcopts vbitrate=xxx */
	gboolean use_ofps;
	gint ofps;				/* 프레임 설정 -ofps xxx */
	gboolean use_scale;
	gint hscale;
	gint vscale;			/* 화면 크기 -vf-add scale=320:180 */
	gboolean use_crop;
	gint crop;				/* 잘라내기 */
	gint vcodec;			/* 비디오 코덱 */
	gint acodec;			/* 오디오 코덱 */
	gint abitrate;			/* 음질 설정 */
	gint vol;				/* 볼륨 설정 */
	gint aq;				/* 음질 설정 */
	gint amode;				/* 오디오 모드 */
	gint vbr;				/* vbr 설정 */
	gboolean use_srate;	
	gint srate;				/* 샘플비율 */
	gint subpos;			/* 자막 위치 */
	gint subblur;			/* 자막 테두리 블러 */
	gint suboutline;		/* 자막 테두리 두께 */
	char subfont[256];		/* 자막으로 사용될 폰트 */
	gint subsize;			/* 자막 크기 */
	gboolean use_sub;		/* 자막 합치기 */
	char *extra;
} config;

char working[1024];
char miri_file[256];

#endif
